<?php
foreach ($template->result() as $template){
    $filename=$template->kode;
}
$url = base_url("resources/template/mediasi/".$filename.".rtf");
$Template = file_get_contents($url);
$nama_pengadilan=$info_pn->NamaPN;
$alamat_satker=$info_pn->AlamatPN;
$nama_pengadilan=explode(" ", $nama_pengadilan);
$nama_kota=ucwords(strtolower($nama_pengadilan[2]));
$kode_satker=strtoupper($nama_pengadilan[2]);
foreach ($nama_pengadilan as $k=>$v) {
    if (strpos("I-", $v)!==false) {
    }else{
        ucwords(strtolower($nama_pengadilan[$k]));
    }
}
$nama_pengadilan=implode(" ", $nama_pengadilan);

foreach ($penetapan_majelis->result() as $row) {
	$tanggal_pmh=$this->templatehelper->convertKeTglIndo($row->penetapan_majelis);
	if ($row->urutan_hakim==1){
		$urutanX=$row->urutan_hakim;
		$ketua_majelis=$row->hakim_nama;
	}else{
		if ($row->urutan_hakim>1) {
			$hakim_anggota .=$row->hakim_nama."\\par \\par \\par";
			$urutanX=0;
		}
	}
}
//-------- hakim anggota tt -------------------------
foreach ($penetapan_majelis->result() as $row) {
	$tanggal_pmh=$this->templatehelper->convertKeTglIndo($row->penetapan_majelis);
	if ($row->urutan_hakim>1) {
			$hakim_anggota_tt .=$row->hakim_nama."\\par \\par \\par \\par";
	}
}
//-------- hakim anggota dan -------------------------

$dan=" dan ";
foreach ($penetapan_majelis->result() as $row) {
	$tanggal_pmh=$this->templatehelper->convertKeTglIndo($row->penetapan_majelis);
	if ($row->urutan_hakim>1) {
			$hakim_anggota_dan .=$row->hakim_nama.$dan;
			$dan="";
	}
}

//---------------------------------------------------
//verzet----
if ($is_verzet==1){
	if (isset($urutanX)==FALSE || $urutanX==0){
		$no=0;
		foreach ($penetapan_majelis->result() as $row) {
			if ($no==0){
				$ketua_majelis=$row->hakim_nama;
			}
			if ($no>0) {
				$hakim_anggota .=$row->hakim_nama."\\par \\par \\par";
				$urutanX=0;
			}
			$no++;
		}
	}
}

foreach ($penetapan_pp->result() as $row) {
	$tanggal_penetapan_pp=$this->templatehelper->convertKeTglIndo($row->tanggal_penetapan);
	if ($row->urutan==1){
		$panitera_pengganti=$row->nama_gelar;
	}
}

$tanggal_phs=$this->templatehelper->convertKeTglIndo($penetapan_hari_sidang->penetapan_hari_sidang);
$nomor_perkara=$perkara->nomor_perkara;
$tanggal_pendaftaran=$this->templatehelper->convertKeTglIndo($perkara->tanggal_pendaftaran);
$petitum=strip_tags($perkara->petitum);
if ($perkara_putusan->tanggal_putusan==""){
	$tanggal_putus="Tidak ada data";
	$hari_putus="Tidak ada data";
}else{
	$tanggal_putus=$this->templatehelper->convertKeTglIndo($perkara_putusan->tanggal_putusan);
	$hari_putus=$this->templatehelper->getHari($tanggal_putus);
}

if($alurperkaraid=='15' || $alurperkaraid=='1'){
	if ($jenisperkaraid=='346'){
		$sebagai_p="Pemohon";
		$sebagai_t="Termohon";
	}else{
		$sebagai_p="Penggugat";
		$sebagai_t="Tergugat";
	}
}


//------------------------loop p/t----------------
$this->arr_pengacara_penggugat='';
$this->arr_pengacara_tergugat='';
$i=0;
$temp_pihak='';
$temp_kuasa='';
$pihak_array='';
if($dataPihak1->num_rows>0){
	foreach ($dataPihak1->result() as $row) {
	    if($temp_pihak!=$row->id_pihak){
	        $temp_pihak=$row->id_pihak;
	        if($i>0){
	            $pihak_array = str_replace("#ke#",' '.$this->templatehelper->converToAngkaRomawi($i), $pihak_array);
	        }
	        
	        $pihak_array.=$row->nama.', umur '.$row->umur.' tahun, agama '.$row->agama.
	                ', pekerjaan '.$row->pekerjaan.', Pendidikan '.$row->pendidikan.
	                ', alamat '.$row->alamat;  
	                    
	        if($row->id_kuasa!=''){
	        	$this->arr_pengacara_penggugat='--';
	            if($i>0){$pihak_array= str_replace("#DKK#",'', $pihak_array);}
	            $pihak_array.=' dalam hal ini memberikan kuasa khusus kepada '.$row->nama_kuasa.
	                ', #DKK# advokat/penasehat hukum dari '.$row->nama.
	                ' yang berkantor di '.$row->alamat_kuasa.' berdasarkan surat kuasa khusus tanggal '.$this->templatehelper->convertKeTglIndo($row->tgl_kuasa).
	                ' sebagai #SEBAGAI_P##ke#;#par#';            
	        }else{
	            $pihak_array.=' sebagai #SEBAGAI_P##ke#;#par#';    
	        }
	        $i++;
	    }else{
	         $pihak_array = str_replace("#DKK#",'dan kawan kawan', $pihak_array);
	    }
	}
	if($i>1){
	    $pihak_array = str_replace("#ke#",' '.$this->templatehelper->converToAngkaRomawi($i), $pihak_array);
	    $pihak_array = str_replace("#par#",' \\par ', $pihak_array);
	}else{
	    $pihak_array = str_replace("#ke#",'', $pihak_array);
	    $pihak_array = str_replace("#par#",'', $pihak_array);
	}
	$pihak_array = str_replace(" #DKK#",'', $pihak_array);
	$Template = str_replace("#looping_penggugat#",$pihak_array,$Template);
}else{
	$Template = str_replace("#looping_penggugat#","Data Pihak1 Tidak Ada dalam Database!!!",$Template);
}

$i=0;
$temp_pihak='';
$temp_kuasa='';
$pihak_array='';

if($dataPihak2->num_rows>0){
	foreach ($dataPihak2->result() as $row) {
	    if($temp_pihak!=$row->id_pihak){
	        $temp_pihak=$row->id_pihak;
	        if($i>0){
	            $pihak_array = str_replace("#ke#",' '.$this->templatehelper->converToAngkaRomawi($i), $pihak_array);
	        }
	        
	        $pihak_array.=$row->nama.', umur '.$row->umur.' tahun, agama '.$row->agama.
	                ', pekerjaan '.$row->pekerjaan.', Pendidikan '.$row->pendidikan.
	                ', alamat '.$row->alamat;  
	                    
	        if($row->id_kuasa!=''){
	        	$this->arr_pengacara_tergugat='--';
	            if($i>0){$pihak_array= str_replace(" #DKK#",'', $pihak_array);}
	            $pihak_array.=' dalam hal ini memberikan kuasa khusus kepada '.$row->nama_kuasa.
	                ' #DKK# advokat/penasehat hukum dari '.$row->nama.
	                ' yang berkantor di '.$row->alamat_kuasa.' berdasarkan surat kuasa khusus tanggal '.$this->templatehelper->convertKeTglIndo($row->tgl_kuasa).
	                ' sebagai #SEBAGAI_T##ke#;#par#';            
	        }else{
	            $pihak_array.=' sebagai #SEBAGAI_T##ke#;#par#';    
	        }
	        $i++;
	    }else{
	         $pihak_array = str_replace(" #DKK#",'dan kawan kawan', $pihak_array);
	    }
	}
	if($i>1){
	    $pihak_array = str_replace("#ke#",' '.$this->templatehelper->converToAngkaRomawi($i), $pihak_array);
	    $pihak_array = str_replace("#par#",' \\par ', $pihak_array);
	}else{
	    $pihak_array = str_replace("#ke#",'', $pihak_array);
	    $pihak_array = str_replace("#par#",'', $pihak_array);
	}
	$pihak_array = str_replace(" #DKK#",'', $pihak_array);
	$Template = str_replace("#looping_tergugat#",$pihak_array,$Template);
}else{
	$Template = str_replace("#looping_tergugat#","Data Pihak2 Tidak Ada dalam Database!!!",$Template);
}

$Template = str_replace("#jenis_pihak1#",''."Penggugat".'',$Template);
$Template = str_replace("#jenis_pihak2#",''."Tergugat".'',$Template);
$Template = str_replace("#SEBAGAI_P#","Penggugat",$Template);
$Template = str_replace("#SEBAGAI_T#","Tergugat",$Template);

if($dataPihak2->num_rows>0){
	$Template = str_replace("#NAMA_P#",$dataPihak1->row(0)->nama,$Template);
}else{
	$Template = str_replace("#NAMA_P#","Tidak ada Data",$Template);
}

if ($dataPihak2->num_rows > 0){
    $Template = str_replace("#NAMA_T#",$dataPihak2->row(0)->nama,$Template);
}else{
	$Template = str_replace("#NAMA_T#","Tidak ada Data",$Template);
}
//-------- loop majelis---

foreach ($penetapan_majelis->result() as $row) {
	$penetapan .=$this->templatehelper->standradnaming($row->hakim_nama)." \\tab "."  \\tab ".$row->jabatan_hakim_nama.";\\par".PHP_EOL;
}
foreach ($penetapan_pp->result() as $row) {
	$penetapan .=$this->templatehelper->standradnaming($row->nama_gelar)." \\tab "."  \\tab "."Panitera Pengganti".";\\par".PHP_EOL;
}
if($majelis){
	$Template = str_replace('#looping_majelis#',$penetapan,$Template);
}else{
	$Template = str_replace('#looping_majelis#','',$Template);
} 


//-------loop nama penggugat -----------
$i=1;
$pihak_array='';
foreach ($dataPihak1->result() as $row) {
	if ($dataPihak1->num_rows>1){
		$no=$i++;
		$ke=$this->templatehelper->converToAngkaRomawi($no);	
	}else{
		$no="";
		$ke="";
	}
	$pihak_array.= $no.'. '.$row->nama." \\tab "." #sebagai_p# ".$ke."\\par \\tab \\tab ".$dkk.PHP_EOL;
	$pihak_array_p.=$row->nama.', ';
}
$Template = str_replace("#looping_nama_penggugat#",$pihak_array,$Template);
//
//-------loop nama tergugat -----------
$i=1;
$pihak_array='';
foreach ($dataPihak2->result() as $row) {
	if ($dataPihak2->num_rows>1){
		$no=$i++;
		$ke=$this->templatehelper->converToAngkaRomawi($no);	
	}else{
		$no="";
		$ke="";
	}
	$pihak_array.= $no.'. '.$row->nama." \\tab "." #sebagai_t# ".$ke."\\par \\tab \\tab ".$dkk.PHP_EOL;
	$pihak_array_t.=$row->nama.', ';
}
$Template = str_replace("#looping_nama_tergugat#",$pihak_array,$Template);
$Template = str_replace("#looping_para_pihak#",$pihak_array_p.'dengan '.$pihak_array_t,$Template);

//-------loop nama penggugat  DKK-----------
$i=1;
$pihak1='';
foreach ($dataPihak1->result() as $row) {
	if ($dataPihak1->num_rows>1){
		$dkk="Dkk";	
	}else{
		$dkk="";
	}	
	$pihak1 = $row->nama." ".$dkk."\\tab #sebagai_p# ".PHP_EOL;
}
$Template = str_replace("#looping_penggugat_dkk#",$pihak1,$Template);
//
//-------loop nama tergugat DKK -----------
$i=1;
$pihak2='';
foreach ($dataPihak2->result() as $row) {
	if ($dataPihak2->num_rows>1){
		$dkk="Dkk";	
	}else{
		$dkk="";
	}	
	$pihak2 = $row->nama." ".$dkk."\\tab #sebagai_t# ".PHP_EOL;
}
$Template = str_replace("#looping_tergugat_dkk#",$pihak2,$Template);
//

//-------loop p/t trim -----------
$no=0;
$pihak_array='';
$id_kuasa_penggugat=array();
$temp_pihak=0;
if($dataPihak1->num_rows>0){
	foreach ($dataPihak1->result() as $row) {
	        $id_kuasa_penggugat[]=$row->id_kuasa;
	        if($id_kuasa_penggugat[0]!=''||$id_kuasa_penggugat[0]!=NULL){
	        	if ($temp_pihak!=$row->id_pihak) {
	        		$pihak_array.=' '.++$no.'. '.$row->nama.'\\par \\par \\par \\par';  
	            	$temp_pihak=$row->id_pihak;
	            	$is_kuasa_penggugat=1;
	            }
	            $pihak_array.= ' '.++$no.'. '.$row->nama_kuasa.'\\par (Kuasa hukum dari '.$row->nama.')\\par \\par \\par ';
	        }else{
	        	$is_kuasa_penggugat=0;
				$pihak_array.=' '.$row->nama.'\\par \\par \\par \\par';  
	        }
	}
	$Template = str_replace("#looping_penggugat_kuasa_trim#",$pihak_array,$Template);
}else{
	$Template = str_replace("#looping_penggugat_kuasa_trim#","Data Pihak2 Tidak Ada dalam Database!!!",$Template);
}

$no=0;
$pihak_array='';
$id_kuasa_tergugat=array();
$temp_pihak=0;
if($dataPihak2->num_rows>0){
	foreach ($dataPihak2->result() as $row) {
			$id_kuasa_tergugat[]=$row->id_kuasa;
	        if($id_kuasa_tergugat[0]!=''||$id_kuasa_tergugat[0]!=NULL){
	        	if ($temp_pihak!=$row->id_pihak) {
	        		$pihak_array.=' '.++$no.'. '.$row->nama.'\\par \\par \\par \\par';  
	            	$temp_pihak=$row->id_pihak;
	            	$is_kuasa_tergugat=1;
	            }
	            $pihak_array.= ' '.++$no.'. '.$row->nama_kuasa.'\\par (Kuasa hukum dari '.$row->nama.')\\par \\par \\par ';
	        }else{
	        	$is_kuasa_tergugat=0;
				$pihak_array.=' '.$row->nama.'\\par \\par \\par \\par';  
	        }
	}
	$Template = str_replace("#looping_tergugat_kuasa_trim#",$pihak_array,$Template);
}else{
	$Template = str_replace("#looping_tergugat_kuasa_trim#","Data Pihak2 Tidak Ada dalam Database!!!",$Template);
}
//-------loop p tt-----------
$no=0;
$temp_pihak='';
$pihak_array='';
if($dataPihak1->num_rows>0){
	foreach ($dataPihak1->result() as $row) {
		if ($dataPihak1->num_rows()<=1){
        		$pihak_array.=' '.$row->nama.' \\par \\par \\par \\par';  
		}else{
				$pihak_array.=' '.++$no.'. '.$row->nama.' \\par \\par \\par \\par';  
		}
	}
	$Template = str_replace("#looping_penggugat_tt#",$pihak_array,$Template);
}else{
	$Template = str_replace("#looping_penggugat_tt#","Data Pihak1 Tidak Ada dalam Database!!!",$Template);
}
//-------loop t tt-----------
$no=0;
$temp_pihak='';
$pihak_array='';
if($dataPihak2->num_rows>0){
	foreach ($dataPihak2->result() as $row) {
		if ($dataPihak2->num_rows()<=1){
        		$pihak_array.=' '.$row->nama.' \\par \\par \\par \\par';  
		}else{
				$pihak_array.=' '.++$no.'. '.$row->nama.' \\par \\par \\par \\par';  
		}
	}
	
	$Template = str_replace("#looping_tergugat_tt#",$pihak_array,$Template);
}else{
	$Template = str_replace("#looping_tergugat_tt#","Data Pihak2 Tidak Ada dalam Database!!!",$Template);
}
//-------loop mediator tanda tangan -----------
$no=0;
$temp_pihak='';
$pihak_array='';
if($dataMediator->num_rows>0){
	foreach ($dataMediator->result() as $row) {
		if ($dataMediator->num_rows()<=1){
        		$pihak_array.=' '.$row->nama.' \\par \\par \\par \\par';  
		}else{
				$pihak_array.=' '.++$no.'. '.$row->nama.' \\par \\par \\par \\par';  
		}
	}
	$Template = str_replace("#looping_mediator_tt#",$pihak_array,$Template);
}else{
	$Template = str_replace("#looping_mediator_tt#","Data Mediator Tidak Ada dalam Database!!!",$Template);
}

//-------loop mediator nama -----------

$no=0;
$temp_pihak='';
$pihak_array='';
if($dataMediator->num_rows>0){
	foreach ($dataMediator->result() as $row) {
    	switch ($row->status_mediator) {
    		case 'H':
    			$status_mediator=" Hakim #satker#";
    			break;
    		case 'N':
    			$status_mediator=" Mediator bersertifikat yang beralamat di #alamat_mediator#";
    			break;
    		case 'P':
    			$status_mediator=" Pegawai #satker#";
    			break;
    		default:
    			$status_mediator=" Mediator bersertifikat yang beralamat di #alamat_mediator#";
    			break;
    	}
    	if($dataMediator->num_rows>1){
			$pihak_array.=' '.$row->nama_gelar.' '.$status_mediator.', ';
    	}else{
			$pihak_array.=' '.$row->nama_gelar.' '.$status_mediator;
		}
        $Template = str_replace('#tanggal_penetapan_mediator#',$this->templatehelper->convertKeTglIndo($row->tanggal_penetapan),$Template);
	}
	$Template = str_replace("#looping_mediator#",$pihak_array,$Template);
}else{
	$Template = str_replace("#looping_mediator#","Data Mediator Tidak Ada dalam Database!!!",$Template);
}

$Template = str_replace('#alamat_mediator#',$row->alamat,$Template);
#----- loop all pihak tt --------
$no=0;
$pihak_array='';
if ($dataPihak1->num_rows>0){	
	foreach ($dataPihak1->result() as $row) {
			$pihak_array.=' '. ++$no.'. '.$row->nama." \\par \\par \\par \\par";
	}
}else{
	$pihak_array = "Tidak ada data";
}
if ($dataPihak2->num_rows>0){	
	foreach ($dataPihak2->result() as $row) {
			$pihak_array.=' '. ++$no.'. '.$row->nama." \\par \\par \\par \\par";
	}
}else{
	$pihak_array = "Tidak ada data";
}
if ($dataPihak3->num_rows>0){	
	foreach ($dataPihak3->result() as $row) {
		if ($row->nama!=''){
			$pihak_array.=' '. ++$no.'. '.$row->nama." \\par \\par \\par \\par";
		}
	}
}else{
	$pihak_array = "Tidak ada data";
}
if ($dataPihak4->result()>0){	
	foreach ($dataPihak4->result() as $row) {
		if ($row->nama!=''){
			$pihak_array.=' '. ++$no.'. '.$row->nama." \\par \\par \\par \\par";
		}
	}
}else{
	$pihak_array = "Tidak ada data";
}

$Template = str_replace("#looping_pihak_tt#",$pihak_array,$Template);
#-------------------------
$pasal_array='';
$kesepakatan='';
if($dataMediasi->num_rows>0){
	foreach ($dataMediasi->result() as $row) {
		$tanggal_laporan_mediator=$this->templatehelper->convertKeTglIndo($row->tgl_laporan_mediator);
		$hasil_mediasi=$row->hasil_mediasi;
		if($row->hasil_mediasi=='Y1'){
			$isi_kesepakatan=$this->templatehelper->cleanHtmlTagSpecial($row->isi_kesepakatan_perdamaian);
			$pasal_array.=' '.$isi_kesepakatan;
			$kesepakatan ='Bahwa Para Pihak memohon Kepada Majelis Hakim yang memeriksa dan mengadili perkara untuk menguatkan Kesepakatan Perdamaian dalam Akta Perdamaian';
		}else{
			$isi_kesepakatan=$this->templatehelper->cleanHtmlTagSpecial($row->isi_kesepakatan_perdamaian);
			$pasal_array.=' '.$isi_kesepakatan;
			$kesepakatan ='Bahwa Para Pihak sepakat untuk mencabut perkara Nomor '.$nomor_perkara.' tersebut dan menyatakan perkara telah selesai';
		}
	}
}else{
	$tanggal_laporan_mediator="Tidak ada data";
}
$Template = str_replace("#pasal_kesepakatan_damai#",$pasal_array,$Template);
$Template = str_replace("#kesepakatan#",$kesepakatan,$Template);
$z=0;
$i=0;
$x=0;
$penanggung_biaya_p ='';
if($penanggung_biaya_mediasi->num_rows>0){
	$total=$penanggung_biaya_mediasi->num_rows;
	foreach($penanggung_biaya_mediasi->result() as $row){
		if($row->status_pihak=='Penggugat'){
			$penanggung_biaya_p.=' '.$row->nama_pihak.' ('.$row->status_pihak.' '.$this->templatehelper->converToAngkaRomawi(++$z).')';
		}
		
		if($row->status_pihak=='Tergugat'){
			$penanggung_biaya_p.=' '.$row->nama_pihak.' ('.$row->status_pihak.' '.$this->templatehelper->converToAngkaRomawi(++$x).')';
		}
		$i++;
		if ($i != $total) {
		$koma=', ';
		}
		if ($i===$total-1){
		$koma=' dan ';
		}
		if ($i===$total){
			$koma='';
		}
		$penanggung_biaya_p.=$koma;
	}
}
$Template = str_replace("#biaya_mediasi_ditanggung#",$penanggung_biaya_p,$Template);

if ($jadwalmediasi->num_rows>0){
	foreach ($jadwalmediasi->result() as $row) {
	    $Template = str_replace('#tanggal_mediasi#',$this->tanggalhelper->convertDayDate($row->tanggal_mediasi),$Template);
	    $Template = str_replace('#hari_mediasi#',$this->templatehelper->getHari($row->tanggal_mediasi),$Template);
	    $Template = str_replace('#jam_mediasi#',$row->jam_mediasi,$Template);
	    $Template = str_replace('#tempat_mediasi#',$row->tempat,$Template);
	    $Template = str_replace('#urutan_mediasi#',$row->urutan,$Template);   
	}
}
$tanggal_mediasi_terakhir=$this->tanggalhelper->convertDayDate($jadwalmediasiterakhir[0]->tanggal_mediasi);
$tanggal_mediasi_awal=$this->tanggalhelper->convertDayDate($jadwalmediasiawal[0]->tanggal_mediasi);
$Template = str_replace('#tanggal_mediasi_terakhir#',$tanggal_mediasi_terakhir,$Template);   
$Template = str_replace('#mediasi_terakhir_hari#',$this->templatehelper->getHari($tanggal_mediasi_terakhir),$Template);   
$Template = str_replace('#tanggal_sidang_mediasi#',$tanggal_mediasi_awal,$Template);   
//$Template = str_replace('#mediasi_terakhir_hari#',$this->templatehelper->getHari($tanggal_mediasi_terakhir),$Template);   


if ($jadwalsidang->num_rows>0){
	foreach ($jadwalsidang->result() as $row) {
	    $Template = str_replace('#tanggal_sidang#',$this->templatehelper->convertKeTglIndo($row->tanggal_sidang),$Template);
	     $Template = str_replace('#hari_sidang#',$this->templatehelper->getHari($row->tanggal_sidang),$Template);    
	}
}


if ($biaya_perkara->num_rows>0){
	foreach ($biaya_perkara->result() as $row) {
		if ($row->kategori_id==11){
	     	$pnbp += $row->jumlah;
		}
		if ($row->kategori_id== 12){
	     	$atk +=$row->jumlah;
		}
		if ($row->kategori_id==8){
	     	$materai +=$row->jumlah;
		}
		if ($row->kategori_id==13){
	     	$redaksi=$row->jumlah;
		}
		if ($row->kategori_id==4){
	     	$panggilan +=$row->jumlah;
		}
	}
	$sum += $pnbp+$atk+$materai+$redaksi+$panggilan;
}

if ($is_kuasa_penggugat==1) {
	$Template = str_replace("#is_kuasa_penggugat#",''.'Kuasa Penggugat'.' ',$Template);
}else{
	$Template = str_replace("#is_kuasa_penggugat#",''.'Penggugat'.' ',$Template);	
}

if ($is_kuasa_tergugat==1) {
	$Template = str_replace("#is_kuasa_tergugat#",''.'Kuasa Tergugat'.' ',$Template);	
}else{
	$Template = str_replace("#is_kuasa_tergugat#",''.'Tergugat'.' ',$Template);	
}

$Template = str_replace("#tanggal_laporan_mediator#",''.$tanggal_laporan_mediator.' ',$Template);


$jenis_pengadilan=ucwords(strtolower(explode(" ",$nama_pengadilan)[0]))." ".ucwords(strtolower(explode(" ",$nama_pengadilan)[1]));

$Template = str_replace("#tanggal_laporan_mediator#",''.$tanggal_laporan_mediator.' ',$Template);
$Template = str_replace("#mediasi_hasil#",''.$hasil_mediasi.' ',$Template);
$Template = str_replace("#DKK#",' dkk ',$Template);
$Template = str_replace("#mediator#",' '.$status_mediator.' ',$Template);
$Template = str_replace("#pilih_mediator#",''.$biayamediasi[0]->uraian.'',$Template);
$Template = str_replace("#sebagai_p#",''.$sebagai_p.'',$Template);
$Template = str_replace("#sebagai_t#",''.$sebagai_t.'',$Template);
$Template = str_replace("#SEBAGAI_P#",''.strtoupper(strtolower($sebagai_p)).'',$Template);
$Template = str_replace("#SEBAGAI_T#",''.strtoupper(strtolower($sebagai_t)).'',$Template);
$Template = str_replace("#penetapan_hakim#",''.$penetapan.'',$Template);

$Template = str_replace('#tanggal_pendaftaran#',''.$tanggal_pendaftaran.'',$Template);
$Template = str_replace('#petitum#',''.$petitum.'',$Template);
$Template = str_replace('#tanggalpenetapanhakim#',''.$tanggalpenetapanhakim.'',$Template);
$Template = str_replace("#hakimketua#",''.$hakimketua.'',$Template);
$Template = str_replace("#hakim_anggota#",''.$hakim_anggota.'',$Template);
$Template = str_replace("#hakim_anggota_tt#",''.$hakim_anggota_tt.'',$Template);
$Template = str_replace("#hakim_anggota_dan#",''.$hakim_anggota_dan.'',$Template);
$Template = str_replace("#pengadilan_negeri#",''.$jenis_pengadilan.'',$Template);
$Template = str_replace("#SATKER#",''.$nama_pengadilan.'',$Template);
$Template = str_replace("#satker#",''.ucwords(strtolower($nama_pengadilan)).'',$Template);
$Template = str_replace("#alamat_satker#",''.$alamat_satker.'',$Template);
$Template = str_replace("#tanggal_pmh#",''.$tanggal_pmh.'',$Template);
$Template = str_replace("#tanggal_phs#",''.$tanggal_phs.'',$Template);
$Template = str_replace("#nomor_perkara#",''.$nomor_perkara.'',$Template);
$Template = str_replace('#nama_kota#',''.$this->templatehelper->standradnaming($nama_kota).'',$Template);
$Template = str_replace("#tanggal_gugatan#",''.$tanggal_pendaftaran.'',$Template);
$Template = str_replace("#ketua_majelis#",''.$ketua_majelis.'',$Template);
$Template = str_replace("#nama_pp#",''.$panitera_pengganti.'',$Template);


$Template = str_replace('#alasan_beritikad_tidak_baik#',''.$alasan_text.'',$Template);
$Template = str_replace("#tanggal_putus#",''.$tanggal_putus.'',$Template);
$Template = str_replace('#hari_putus#',$hari_putus,$Template);

$Template = str_replace("#biaya_proses#",''.number_format($atk, 2, ',', '.').'',$Template);
$Template = str_replace("#biaya_materai#",''.number_format($materai, 2, ',', '.').'',$Template);
$Template = str_replace("#biaya_redaksi#",''.number_format($redaksi, 2, ',', '.').'',$Template);
$Template = str_replace("#biaya_atk#",''.number_format($atk, 2, ',', '.').'',$Template);
$Template = str_replace("#biaya_pnbp#",''.number_format($pnbp, 2, ',', '.').'',$Template);
$Template = str_replace("#biaya_panggilan#",''.number_format($panggilan, 2, ',', '.').'',$Template);
$Template = str_replace("#biaya_sita#",''.number_format($sita, 2, ',', '.').'',$Template);
$Template = str_replace("#biaya_pemeriksaan#",''.number_format($ps, 2, ',', '.').'',$Template);
$Template = str_replace("#total_jumlah#",''.number_format($sum, 2, ',', '.').'',$Template);
$Template = str_replace("#jumlah_terbilang#",''.$this->templatehelper->Terbilang(intval($sum)).'',$Template);
$Template = str_replace("#total_biaya#",''.number_format($sum, 2, ',', '.').'',$Template);
$Template = str_replace("#totterbilang#",''.$this->templatehelper->Terbilang(intval($sum)).'rupiah',$Template);
$Template = str_replace("#mediasi_biaya_rincian#",''.$mediasi_biaya_rincian.'',$Template);
$Template = str_replace("#mediasi_biaya_jumlah#",''.number_format($mediasi_biaya_jumlah,2,',','.').'',$Template);
$Template = str_replace("#mediasi_biaya_jumlah_terbilang#",''.$this->templatehelper->Terbilang(intval($mediasi_biaya_jumlah)).'rupiah',$Template);
if ($Template==""){
	print_r("File dokumen template tidak ditemukan atau terjadi kesalahan saat cetak template");
}
//------Begin Print -----------------------------------------------------
header("Content-Type: application/vnd.ms-word");
header("Expires: 0");
header("Cache-Control:  must-revalidate, post-check=0, pre-check=0");
header("Content-disposition: attachment; filename=\"".$filename."(mediasi)-".$nomor_perkara.".rtf\"");
echo $Template;
?>
